
# Schritt-für-Schritt-Anleitung zur Konfiguration des OTOBO-Ticketingsystems

Diese Anleitung hilft Ihnen, das OTOBO-Ticketingsystem Schritt für Schritt zu konfigurieren.

---

## Schritt 1: Lizenz
1. **Starten Sie den Konfigurationsprozess**, indem Sie Ihren gültigen Lizenzschlüssel eingeben (falls erforderlich).
2. Klicken Sie auf die Schaltfläche **`Weiter`**, um fortzufahren.

---

## Schritt 2: Datenbankkonfiguration

### MySQL-Konfiguration
1. **Geben Sie die Datenbank-Zugangsdaten ein**:
   - **Benutzer**: Geben Sie den MySQL-Root-Benutzernamen ein (z. B. `root`).
   - **Passwort**: Geben Sie das Root-Passwort ein.
   - **Host**: Geben Sie den Datenbank-Host ein (z. B. `db`).
2. **Datenbankeinstellungen**:
   - Geben Sie Details für einen neuen Datenbankbenutzer ein:
     - **Benutzername**: `otobo`
     - **Passwort**: Verwenden Sie das automatisch generierte Passwort oder setzen Sie ein eigenes.
     - **Datenbankname**: Geben Sie `otobo` ein.
3. Überprüfen Sie die Datenbankverbindung, indem Sie auf **`Datenbankprüfung`** klicken. Stellen Sie sicher, dass die Meldung "Datenbankprüfung erfolgreich" angezeigt wird.
4. Klicken Sie auf **`Weiter`**, um fortzufahren.

---

### Bestätigung der Datenbankerstellung
1. Das System erstellt automatisch die Datenbank und wendet das notwendige Schema und die Berechtigungen an. Stellen Sie sicher, dass alle Schritte mit grünen Haken markiert sind (z. B. "CREATE DATABASE", "GRANT ALL PRIVILEGES").
2. Wenn erfolgreich, wird die Meldung "Datenbank erfolgreich erstellt!" angezeigt.
3. Klicken Sie auf **`Weiter`**, um fortzufahren.

---

## Schritt 3: Allgemeine Einstellungen und E-Mail-Konfiguration

### Systemeinstellungen
1. **Systemdetails**:
   - **System-ID**: Geben Sie eine eindeutige numerische ID für das System ein (z. B. `66`).
   - **HTTP-Typ**: Wählen Sie `https` für eine sichere Kommunikation.
   - **System-FQDN**: Geben Sie den vollständig qualifizierten Domainnamen (FQDN) des Systems ein (z. B. `support.xsense.ch`).
   - **Administrator-E-Mail**: Geben Sie die E-Mail-Adresse des Administrators ein (z. B. `support@xsense.ch`).
   - **Organisation**: Geben Sie den Namen Ihrer Organisation ein (z. B. `Xsense GmbH`).

2. **Protokollierung**:
   - **Protokollmodul**: Setzen Sie es auf `Datei` (File).
   - **Pfad zur Protokolldatei**: Geben Sie den Pfad zur Protokolldatei ein (z. B. `/opt/otobo/var/log/otobo.log`).

3. **Weboberfläche**:
   - **Standardsprache**: Setzen Sie diese auf `Deutsch` (oder Ihre bevorzugte Sprache).
   - **MX-Einträge prüfen**: Wählen Sie `Ja`, um E-Mail-Adressen gegen DNS-MX-Einträge zu überprüfen.

4. Klicken Sie auf **`Weiter`**, um diese Einstellungen zu speichern.

---

### E-Mail-Konfiguration
1. **Ausgehende E-Mails**:
   - **Typ**: Wählen Sie das E-Mail-Protokoll (z. B. SMTP).
   - **Port**: Geben Sie den Port für ausgehende E-Mails ein (z. B. `587` für SMTP mit TLS).
   - **SMTP-Host**: Geben Sie die Adresse des SMTP-Servers ein.
   - **SMTP-Authentifizierung**: Aktivieren Sie diese Option, falls erforderlich, und geben Sie die Zugangsdaten ein.

2. **Eingehende E-Mails**:
   - **Typ**: Wählen Sie das E-Mail-Protokoll (z. B. IMAP oder POP3).
   - **Host**: Geben Sie die Adresse des eingehenden Mailservers ein.
   - **Benutzername**: Geben Sie den Benutzernamen für das E-Mail-Konto ein.
   - **Passwort**: Geben Sie das Passwort des E-Mail-Kontos ein.

3. Testen Sie die Konfiguration, indem Sie auf **`E-Mail-Konfiguration prüfen`** klicken, oder überspringen Sie diesen Schritt, indem Sie **`Diesen Schritt überspringen`** wählen.

---

## Schritt 4: Abschluss
1. Überprüfen Sie die Zusammenfassung der Konfiguration.
2. Notieren Sie sich die bereitgestellten Zugangsdaten (z. B. `root@localhost` und das generierte Passwort).
3. Greifen Sie über die angegebene URL auf die OTOBO-Weboberfläche zu (z. B. `http://10.10.11.36/otobo/index.pl`).

Herzlichen Glückwunsch! Das OTOBO-Ticketingsystem wurde erfolgreich konfiguriert und ist einsatzbereit.
